Subject: Re: [PATCH] submodule: Improve documentation of update subcommand

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Feb 2015 12:25:52 -0800

Junio C Hamano <[email-masked]> writes:

>> +Update the registered submodules to match what the superproject
>> +expects by cloning missing submodules and updating the working tree of
>> +the submodules. The "updating" can be done in several ways depending
>> +on command line options and the value of `submodule.<name>.update`
>> +configuration variable. Supported update methods are:
>
> If you read the description of "--remote" (sorry, I didn't notice it
> until I formatted the result of this patch and tried to read the
> whole thing), we already use "update procedure" to mean these modes
> of updates collectively.  Either use "update procedures" here (and
> everywhere else in this patch where it is called "update method"),
> or adjust the existing "update procedure" to "update method".
> Either way is fine, but because "update procedure" is not wrong
> per-se, I think it would be better to use that phrasing that may
> already be familiar with the "git submodule" users.

Addendum.  Your update to config.txt calls it "updating strategy".
That also needs to be unified to clarify that we are talking about
the same thing in these places to the readers.

Thanks.